Package com.independentsoft.office.drawing

# Class SupplementalFont

java.lang.Object
com.independentsoft.office.drawing.SupplementalFont

public class SupplementalFont extends Object
The Class SupplementalFont.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupplementalFont()`
  Instantiates a new supplemental font.
  `SupplementalFont​(InternalXMLStreamReader reader)`
  Instantiates a new supplemental font.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SupplementalFont`
  `clone()`
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `String`
  `getScript()`
  Gets the script.
  `String`
  `getTypeface()`
  Gets the typeface.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setScript​(String script)`
  Sets the script.
  `void`
  `setTypeface​(String typeface)`
  Sets the typeface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SupplementalFont

    public SupplementalFont()
    Instantiates a new supplemental font.

  - ### SupplementalFont

    public SupplementalFont​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new supplemental font.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public SupplementalFont clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getScript

    public String getScript()
    Gets the script.
    Returns:
      the script

  - ### setScript

    public void setScript​(String script)
    Sets the script.
    Parameters:
      `script` - the new script

  - ### getTypeface

    public String getTypeface()
    Gets the typeface.
    Returns:
      the typeface

  - ### setTypeface

    public void setTypeface​(String typeface)
    Sets the typeface.
    Parameters:
      `typeface` - the new typeface